### Function

# Dex file_replace_contents_bytes

#### Declaration [src]

    DexFuture*
    dex_file_replace_contents_bytes (
      GFile* file,
      GBytes* contents,
      const char* etag,
      gboolean make_backup,
      GFileCreateFlags flags
    )

#### Description [src]

Wraps g_file_replace_contents_bytes_async().

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`contents`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the function.

`etag`

  Type: `const char*`

  The etag or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`make_backup`

  Type: `gboolean`

  If a backup file should be created.

`flags`

  Type: `GFileCreateFlags`

  A set of `GFileCreateFlags`.

#### Return value

Type: `DexFuture`

A `DexFuture` which resolves to the new etag. Therefore, it is possible to be `NULL` without an error having occurred.

The caller of the function takes ownership of the data, and is responsible for freeing it.